From a69749e367cfe6cf0a19a55947a8dc772310a949 Mon Sep 17 00:00:00 2001
From: Andrew Esh <andrew.esh@qterics.com>
Date: Wed, 17 May 2017 13:44:05 -0500
Subject: [PATCH 13/25] _common_ Remove stdio_ext.h dependency.

---
 recipes/gettext.recipe                             |  3 ++-
 ...etlocking-to-remove-stdio_ext.h-dependenc.patch | 25 ++++++++++++++++++++++
 2 files changed, 27 insertions(+), 1 deletion(-)
 create mode 100644 recipes/gettext/0001-Remove-__fsetlocking-to-remove-stdio_ext.h-dependenc.patch

diff --git a/recipes/gettext.recipe b/recipes/gettext.recipe
index d190461..2676ef9 100644
--- a/recipes/gettext.recipe
+++ b/recipes/gettext.recipe
@@ -10,7 +10,8 @@ class Recipe(recipe.Recipe):
     url = 'http://ftp.gnu.org/pub/gnu/gettext/gettext-0.19.8.1.tar.gz'
     srcdir = 'gettext-runtime'
     patches = ['gettext/0001-Fix-linker-error-redefinition-of-vasprintf.patch',
-               'gettext/0001-Undefine-__USE_MINGW_ANSI_STDIO-as-otherwise-stdio.h.patch' ]
+               'gettext/0001-Undefine-__USE_MINGW_ANSI_STDIO-as-otherwise-stdio.h.patch',
+               'gettext/0001-Remove-__fsetlocking-to-remove-stdio_ext.h-dependenc.patch' ]
     platform_deps = {
         Platform.ANDROID:  ['libiconv'],
         Platform.WINDOWS:  ['mingw-runtime'],
diff --git a/recipes/gettext/0001-Remove-__fsetlocking-to-remove-stdio_ext.h-dependenc.patch b/recipes/gettext/0001-Remove-__fsetlocking-to-remove-stdio_ext.h-dependenc.patch
new file mode 100644
index 0000000..e9478ab
--- /dev/null
+++ b/recipes/gettext/0001-Remove-__fsetlocking-to-remove-stdio_ext.h-dependenc.patch
@@ -0,0 +1,25 @@
+From 53b30299bc27462815d13993262e0ac450e78223 Mon Sep 17 00:00:00 2001
+From: Andrew Esh <andrew.esh@qterics.com>
+Date: Tue, 15 Nov 2016 07:22:35 -0600
+Subject: [PATCH] Remove __fsetlocking to remove stdio_ext.h dependency.
+
+---
+ gettext-runtime/configure | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/gettext-runtime/configure b/gettext-runtime/configure
+index 8e39d91..e82eff5 100755
+--- a/gettext-runtime/configure
++++ b/gettext-runtime/configure
+@@ -18404,7 +18404,7 @@ done
+ 
+   for ac_func in getcwd getegid geteuid getgid getuid mempcpy munmap \
+     stpcpy strcasecmp strdup strtoul tsearch uselocale argz_count \
+-    argz_stringify argz_next __fsetlocking
++    argz_stringify argz_next
+ do :
+   as_ac_var=`$as_echo "ac_cv_func_$ac_func" | $as_tr_sh`
+ ac_fn_c_check_func "$LINENO" "$ac_func" "$as_ac_var"
+-- 
+2.10.2
+
-- 
2.15.0

